# nextcloud18

Weitere Informationen zu den Neuerungen in Nextcloud 18
und der Installation der Software finden Sie im Wiki
unter https://devwelt.de/myria-de/nextcloud18/-/wikis/Neue-Version:-Nextcloud-18

**Service:** Alle Befehlszeilen aus diesem Artikel, Internetadressen und einige weiterführende Anleitungen können Sie als ZIP-Archiv über www.pcwelt.de/YZah7p herunterladen.

Befehlszeilen aus der **LinuxWelt 2020-03**

## Punkt 1
https://nextcloud.com
www.onlyoffice.com
https://github.com/nextcloud/workflow_script

## Punkt 4
```
sudo mkdir /Backup && cd /Backup
sudo rsync -Aavx /var/www/html/nextcloud/ nextcloud-backup-`date +"%Y%m%d"`/
```

```
sudo -i
mysqldump --single-transaction -u [username] -p [db-name] > /Backup/nextcloud-sql-backup-`date +"%Y%m%d"`.sql.bak
```

```
sudo rsync -Aavx /Backup/nextcloud-backup-[Datum]/ /var/www/html/nectcloud/
```

```
mysql -u [username] -p -e "DROP DATABASE [db-name]"
mysql -u [username] -p -e "CREATE DATABASE [db-name]"
mysql -u [username] -p [db-name] < /Backup/nextcloud-sql-backup-[Datum].sql.bak
```

```
sudo nextcloud.export
```

```
cd /var/snap/nextcloud/common/backups
sudo tar cvjf /Backup/20200223-234814-nextcloud-backup.tar.bz2 20200223-234814
```
```
sudo tar cvjf /Backup/nextcloud-backup-`date +"%Y%m%d"`.tar.bz2 /var/snap/nextcloud/current/*/
```
```
sudo tar xvf /Backup/nextcloud-backup-[Datum].tar.bz2 -C /var/snap/nextcloud/current/
```
```
sudo tar xvf /Backup/20200223-234814-nextcloud-backup.tar.bz2 -C /var/snap/nextcloud/common/backups
sudo nextcloud.import /var/snap/nextcloud/common/backups/20200223-234814
```
## Punkt 5
```
sudo apt update && sudo apt install snapd
```

```
sudo snap install nextcloud
```
```
snap info nextcloud
```

```
sudo snap install nextcloud --channel=18/edge
```

```
sudo snap refresh nextcloud --channel=18/edge
```

## Punkt 6
```
sudo snap run nextcloud.occ config:system:set trusted_domains 1 --value=[Domain]
```

## Kasten
https://spdyn.de



